<template>
  <v-container
    id="error-view"
    class="fill-height text-center"
    tag="section"
  >
    <v-row justify="center">
      <v-col cols="auto">
        <h1 class="text-h1 mb-16 font-weight-bold">
          404
        </h1>

        <div class="text-h4 pt-8 pb-10">
          {{ $t('pageNotFound') }}
        </div>

        <v-btn
          color="success"
          depressed
          large
          to="/"
        >
          {{ $t('getMeOutOfHere') }}
        </v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'ErrorView',
    i18n: {
      messages: {
        'pt-BR': {
          pageNotFound: 'Página não encontrada. :(',
          getMeOutOfHere: 'Me tire daqui!',
        },
        'en-US': {
          pageNotFound: 'Page not found. :(',
          getMeOutOfHere: 'Get me out of here!',
        },
      },
    },
  }
</script>

<style lang="sass">
  #error-view h1.text-h1
    font-size: 14rem !important
</style>
